For the complete documentation index, see llms.txt. This page is also available as Markdown.

Google Lite Web Search API

Retrieve real-time Google Web Search results with a fast, lightweight response, including organic listings, website titles, links, and snippets.

POST https://api.serphouse.com/web-search-lite

Headers

Name
Type
Description

Authorization*

String

Bearer <YOUR_API_KEY>

Content-Type*

String

application/json

Request Body

Name
Type
Description

q*

string

Search phrase that you want to search

domain*

string

Choose google domain. You can retrieve the list of supported Google domains by making a separate request to the List of Search Engines

lang*

string

You can set language for e.g. en for english fr for french. Get the list of available languages by making a separate request to the List of Language

gl*

string

Optional field if you specify loc The request must include either loc or gl The gl parameter accepts only two-letter ISO country codes (e.g. IN, US, GB). You can retrieve the list of supported country codes from the List of Locations endpoint.

loc*

string

Optional field if you specify gl The request must include either loc or gl You can receive the list of available locations of search engines with their loc_id by making a separate request to the List of Locations

page

integer

Give specific page to get the result of that page number. By default it will get you first page.

date_range

String

Sometimes you may want to only find information published during a specific time frame. To limit Google results by date

Parameter values can be comma seprated date range YYYY-MM-DD,YYYY-MM-DD OR

h Past hour

d Past 24 hours

w Past week

m Past month

y Past year

verbatim

integer

Set Google Verbatim search, Parameter value can be 0 or 1

no_trace

string | integer

Enterprise only. Enables NoTrace mode. Accepted values: 0, 1, true, and false. When enabled (1 or true), search parameters, files, and metadata are not stored on our servers.

{
    "status": "error",
    "msg": "Please try again",
    "error": ""
}

Example request:

Last updated